Debian Bug report logs - #571185
padre: Unsuitable for a stable release, yet

version graph

Package: padre; Maintainer for padre is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for padre is src:padre.

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Wed, 24 Feb 2010 05:45:02 UTC

Severity: serious

Found in version padre/0.50.ds1-1

Fixed in version 0.59.ds1-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#571185; Package padre. (Wed, 24 Feb 2010 05:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. (Wed, 24 Feb 2010 05:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: padre: Unsuitable for a stable release, yet
Date: Wed, 24 Feb 2010 07:42:23 +0200
Package: padre
Version: 0.50.ds1-1
Severity: serious
Justification: maintainer judgement

Padre is developing very fast. Its releases are roughly every two weeks and 
they contain many bug fixes and new features.

While not bad by itself, this means that any version we freeze squeeze with 
will become obsolete long before squeeze is released.

It will be troublesome to support a fast-moving target for two+ years as the 
code bases will diverge very fast.




Information forwarded to debian-bugs-dist@lists.debian.org, Damyan Ivanov <dmn@debian.org>:
Bug#571185; Package padre. (Wed, 03 Mar 2010 09:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Damyan Ivanov <dmn@debian.org>. (Wed, 03 Mar 2010 09:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 571185@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 571185@bugs.debian.org
Cc: control@bugs.debian.org
Subject: requesting removal from testing, as suggested by maintainer
Date: Wed, 3 Mar 2010 10:55:48 +0100
clone 571185 -1
reassign -1 release.debian.org
retitle RM: padre/testing -- RoM; not suitable for a stable release
severity -1 normal
user release.debian.org@packages.debian.org
usertag -1 + rm
thanks

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Bug 571185 cloned as bug 572317. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 09:57:05 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Sun, 11 Apr 2010 06:24:03 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sun, 11 Apr 2010 06:24:03 GMT) Full text and rfc822 format available.

Message #17 received at 571185-done@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 571185-done@bugs.debian.org
Subject: Re: Bug#571185: padre: Unsuitable for a stable release, yet
Date: Sun, 11 Apr 2010 09:21:18 +0300
[Message part 1 (text/plain, inline)]
Version: 0.59.ds1-1

> Padre is developing very fast. Its releases are roughly every two 
> weeks and they contain many bug fixes and new features.
> 
> While not bad by itself, this means that any version we freeze squeeze with 
> will become obsolete long before squeeze is released.
> 
> It will be troublesome to support a fast-moving target for two+ 
> years as the code bases will diverge very fast.

Upstream was kind enough to offer their help in doing this. They also 
sowed great interest in seeing padre in a stable release, so I am 
closing the bug. Let it release!

(Note to self: it might be a good idea to ask your upstream for their 
oppinion before making such a decision).
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 May 2010 07:42:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:46:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.